CustomField
Stored in the customfields collection. createdAt and updatedAt are maintained automatically.
Returned by DELETE /custom-field, GET /custom-field, POST /custom-field, GET /custom-field/:id, PUT /custom-field/:id, PUT /custom-field/modify and 1 more.
| Field | Type | Notes |
|---|---|---|
name | string | required |
description | string | |
section | any | |
order | number | |
hide | boolean | default false |
onlyShowTable | boolean | default false |
panel | string | default contact · one of contact, lead, productService |
valueType | string | one of string, number, boolean, date, member, file, array, object and 1 more |
fieldType | string | required · one of text, number, textarea, select, multi-select, file, checkbox, date and 4 more |
required | boolean | default false |
placeholder | string | |
helper | string | |
defaultValue | any | |
options | object[] | default [] |
options.label | string | |
options.description | string | |
options.value | string | |
company | ObjectId -> Company | required |
uniqueFieldID | string | set once |
children | object[] | default [] |
children.name | string | |
children.description | string | |
children.fieldType | string | required · one of text, number, textarea, select, multi-select, file, checkbox, date and 4 more |
children.required | boolean | default false |
children.placeholder | string | |
children.helper | string | |
children.defaultValue | any | |
children.valueType | string | required · one of string, number, boolean, date, member, file, array, object and 1 more |
children.options | object[] | default [] |
children.options.label | string | |
children.options.description | string | |
children.options.value | string | |
children.children | object[] | default [] |
children._id | ObjectId | default "6a95712f932657988a91c084" |
createdBy | ObjectId -> Member | |
updatedBy | ObjectId -> Member | |
_id | ObjectId | default "6a95712f932657988a91c085" |
createdAt | date | set once |
updatedAt | date |